<!DOCTYPE HTML>
<html>
<head>
    <#assign path="${request.contextPath}"/>
    <meta charset="utf-8">
    <meta name="renderer" content="webkit|ie-comp|ie-stand">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="Bookmark" href="/favicon.ico" >
    <link rel="Shortcut Icon" href="/favicon.ico" />
    <link href="${path}/common/static/h-ui/css/H-ui.min.css" rel="stylesheet" type="text/css" />
    <link href="${path}/common/static/h-ui.admin/css/H-ui.login.css" rel="stylesheet" type="text/css" />
    <link href="${path}/common/static/h-ui.admin/css/style.css" rel="stylesheet" type="text/css" />
    <link href="${path}/common/css/login/login.css" rel="stylesheet" type="text/css" />
    <link href="${path}/common/lib/Hui-iconfont/1.0.8/iconfont.css" rel="stylesheet" type="text/css" />
    <!--[if IE 6]>
    <script type="text/javascript" src="${path}/common/lib/DD_belatedPNG_0.0.8a-min.js" ></script>
    <script>DD_belatedPNG.fix('*');</script>
    <![endif]-->
    <title>WaterO微信商城管理后台</title>
    <script type="text/javascript">
        var root_path = "${path}";
        /*用于判断是否有父级页面，如果有就强制跳转*/
        function myfun(){
            var ifmObj = window.parent.PARENT_IS_LOGIN;
            if(ifmObj != null && ifmObj !== "" && typeof(ifmObj) !=="undefined" && ifmObj !== undefined && ifmObj === 1){
                parent.location.href = "${path}";
            }
        }
        window.onload = myfun();
    </script>
</head>
<body>
<!--<div class="header"></div>-->
<div class="loginWraper">
    <div id="loginform" class="loginBox">
        <form class="form form-horizontal" method="post">
            <div class="row cl">
                <div class="formControls col-8 col-offset-3">
                    <input id="login_name" autocomplete="off" name="login_name" type="text" placeholder="请输入账户" class="input-text size-L user_count">
                </div>
            </div>
            <div class="row cl">
                <div class="formControls col-8 col-offset-3">
                    <input id="login_pwd" autocomplete="off" name="login_pwd" type="password" placeholder="请输入密码" class="input-text size-L pass_word">
                </div>
            </div>
            <div class="row cl">
                <div class="formControls col-8 col-offset-3">
                    <input autocomplete="off" class="input-text size-L validate" id="login_code" name="login_code" type="text" placeholder="验证码">
                    <img src="${path}/security_code?len=4" style="width: 100px;" id="next-code-img"> <a id="kanbuq" href="javascript:;">换一张</a> </div>
            </div>
            <div class="row">
                <div class="formControls col-8 col-offset-3">
                    <label for="remember_me">
                        <input type="checkbox" name="online" id="remember_me" value="">使我保持登录状态
                    </label>
                </div>
            </div>
            <div class="row loginbox_btn">
                <div class="formControls col-8 col-offset-3">
                    <input style="background-color: #0075b6;border-color: #0075b6;" name="" id="login-btn" type="submit" class="btn btn-block btn-primary radius size-L my-btn-login" value="&nbsp;登&nbsp;&nbsp;&nbsp;&nbsp;录&nbsp;">
                </div>
            </div>
        </form>
    </div>
</div>
<script type="text/javascript" src="${path}/common/lib/jquery/1.9.1/jquery.min.js"></script>
<script type="text/javascript" src="${path}/common/static/h-ui/js/H-ui.js"></script>
<script type="text/javascript" src="${path}/common/lib/layer/2.4/layer.js"></script>
<script type="text/javascript" src="${path}/common/lib/md5/md5.js"></script>
<script type="text/javascript" src="${path}/common/js/base/common.js"></script>
<script>
    // 密码
    var pwd = null;
    // 换一张验证码实现
    $("#kanbuq").click(function() {
        nextVerifyCode();
    });

    function nextVerifyCode() {
        var url = $("#next-code-img").attr("src");
        $("#next-code-img").attr("src", url.split("?")[0] + "?len=4&v=" + Math.ceil(Math.random()*35));
    }

    // 执行登录
    $("#login-btn").click(function(){
        var login_name = $("#login_name").val();
        var re = /^[a-zA-z]\w{5,16}$/;
        if (!(re.test(login_name))) {
            layer.msg('用户名必须以字母、数字、下划线组成，字母开头，6-16位!',{icon: 5,time:3000});
            return false;
        }
        var login_pwd = $("#login_pwd").val();
        if (!(re.test(login_pwd))) {
            layer.msg('密码必须以字母、数字、下划线组成，字母开头，6-16位!',{icon: 5,time:3000});
            return false;
        }
        var login_code = $("#login_code").val();
        if (login_code.length !== 4) {
            layer.msg('验证码必须为4位!',{icon: 5,time:2000});
            return false;
        }

        // 获取盐值
        ajax("POST", "/get_salt", {"login_name":login_name}, function(result){
            if (result.resultCode !== 200 || result.returnCode !== 200) {
                layer.msg('账户信息有误，请联系管理员!',{icon: 5,time:2000});
                nextVerifyCode();
                return false;
            }

            // 执行登录
            pwd = hex_md5(login_pwd + result.returnMsg.salt);
            ajax("POST", "/loginShiro", {"login_name":login_name, "login_pwd":pwd, "login_code":login_code, "remember_me":$("#remember_me")[0].checked + ""}, function(result){
                if (result.returnCode === 400) {
                    layer.msg('验证码有误，请重新输入!',{icon: 5,time:3000});
                    nextVerifyCode();
                    return false;
                } else if (result.returnCode !== 200) {
                    layer.msg('登录有误，请重试!',{icon: 5,time:3000});
                    nextVerifyCode();
                    return false;
                } else {
                    layer.load(0, {zIndex:300000, isOutAnim:true, shade: [0.8,'#fff']});
                    window.location.href = root_path + "/admin/sys/_index";
                }
            });
        });
        return false;
    });
</script>
</body>
</html>