<!DOCTYPE HTML>
<html>
<head>
    <meta charset="utf-8">
    <meta name="renderer" content="webkit|ie-comp|ie-stand">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
    <meta http-equiv="Cache-Control" content="no-siteapp" />
    <LINK rel="Bookmark" href="/favicon.ico" >
    <LINK rel="Shortcut Icon" href="/favicon.ico" />
    <#include "/base/list_base.ftl">
    <title>管理员权限编辑 - 管理员管理 - 58驾校管理系统</title>
</head>
<body>
<nav class="breadcrumb"><i class="Hui-iconfont">&#xe67f;</i>首页 <span class="c-gray en">&gt;</span>管理员管理 <span class="c-gray en">&gt;</span> 管理员权限编辑 <a class="btn btn-success radius r mr-20" style="line-height:1.6em;margin-top:3px" href="javascript:location.replace(location.href);" id="re-fresh" title="刷新" ><i class="Hui-iconfont">&#xe68f;</i></a></nav>
<div class="pd-20">
    <input type="hidden" id="hidden-adminid-input" value="${adminId}">
    <form action="${path}/admin/admin/edit_permission" id="form-admin-add">
        <input type="hidden" value="${adminId}" name="adminId">
        <div class="cl pd-5 bg-1 bk-gray mt-20">
            <span class="l"><button id="btn-sub" class="btn btn-primary radius"><i class="Hui-iconfont">&#xe632;</i> 保存</button></span>
        </div>
        <ul id="Huifold1" class="Huifold">
            <#list list as o>
                <li class="item">
                    <h4><label class="permission-class"><input type="checkbox" len="${o.subMenus?size}" value="${o.menuId}" id="permission-${o.menuId}">${o.menuName}</label><b>+</b></h4>
                    <div class="info">
                        <table class="table table-border table-bordered">
                            <thead>
                            <tr><th width="20%">是否拥有操作此菜单的权限</th><th>二级菜单名称</th><th>操作权限集合</th></tr>
                            </thead>
                            <tbody>
                            <#list o.subMenus as subs>
                                <tr>
                                    <th>
                                        <label><input len="${subs.menuPermisssions?size}" id="permission-input-${subs.subId}" class="ermissions ermissions-${o.menuId}" name="haveId" type="checkbox" value="${subs.subId}">选中</label>
                                    </th>
                                    <td style="text-align: left;">${subs.subName}</td>
                                    <td style="text-align: left;">
                                        <#list subs.menuPermisssions as p>
                                            <p>
                                                <label>
                                                    <input class="check-permission check-permission${subs.subId}" type="checkbox" name="check-perm" val="${o.menuId}-${subs.subId}-${p.permId}-${p.permSymbol}" <#if (p.permSubId)??>checked</#if> />
                                                ${p.permName}
                                                </label>
                                            </p>
                                        </#list>
                                    </td>
                                </tr>
                            </#list>
                            </tbody>
                        </table>
                    </div>
                </li>
            </#list>
        </ul>
    </form>
</div>
</body>
<script type="text/javascript">
    /**
     * 二级管理员 权限编辑 JS
     */
    $(function() {
        $.Huifold("#Huifold1 .item h4","#Huifold1 .item .info","fast",1,"click"); /*5个参数顺序不可打乱，分别是：相应区,隐藏显示的内容,速度,类型,事件*/
        defaultSelect();

        // 监听一级分类的事件
        $(".permission-class").click(function(event) {
            var $check = $($(this).children("input")[0]);
            select_state($check.val(), event, $check[0]);
        });

        // 监听二级分类的事件
        $(".ermissions").click(function(){
            select_child_state($(this)[0]);
        });

        // 监听三级分类事件
        $(".check-permission").click(function() {
            select_permission_state($(this)[0]);
        });

        // 表单提交
        $("#btn-sub").click(function(){
            var array = new Array();
            var ps = $(".check-permission");
            var j = 0;
            for (var i = 0; i < ps.length; i++) {
                if (ps[i].checked) {
                    array[j] = $(ps[i]).attr("val");
                    j ++;
                }
            }

            if (array.length == 0) {
                layer.msg('您没有提管理员选择权限，如果想管理员看不见菜单，请禁用管理员用户!',{icon: 5,time:4500});
                return false;
            }

            $.post(root_path + "/admin/sys/edit_permission",{"adminId":$("#hidden-adminid-input").val(), "perms":array},function(result){
                if (result.returnCode != 200 || result.returnCode != 200) {
                    layer.msg('重置失败，请重试!',{icon: 5,time:3000});
                } else {
                    layer.msg('修改成功,即将前往管理员页面!',{icon: 1,time:2000}, function () {
                        window.history.go(-1);
                    });
                }
            });
            return false;
        });
    });

    /* 默认选中事件 */
    function defaultSelect() {
        // 三级菜单
        var ps = $(".check-permission");
        for (var j = 0; j < ps.length; j++) {
            select_permission_state(ps[j]);
        }

        /*var es = $(".ermissions");
        for(var i = 0; i < es.length; i++) {
            select_child_state(es[i]);
        }*/
    }

    /* 二级菜单选择事件 */
    function select_child_state(obj) {
        var pid = ($(obj).attr("class")).replace("ermissions ermissions-", "");
        // 已经选择的二级菜单
        var selectLength = $(".ermissions-" + pid + ":checked").length;
        // 一级菜单总的二级菜单
        var total = parseInt($("#permission-" + pid).attr("len"));
        // 选中
        if (total == selectLength) {
            $("#permission-" + pid).prop("checked", "true");
        } else {
            $("#permission-" + pid).prop("checked", "");
        }
        // 联动三级
        var ps = $(".check-permission" + ($(obj).val()));
        if (obj.checked) {
            for (var i = 0; i < ps.length; i++) {
                $(ps[i]).prop("checked", "true");
            }
        } else {
            for (var i = 0; i < ps.length; i++) {
                $(ps[i]).prop("checked", "");
            }
        }
    }

    /* 三级菜单选择时间 */
    function select_permission_state(obj) {
        var eid = ($(obj).attr("class")).replace("check-permission check-permission", "");
        // 获取二级所属二级菜单
        var $input = $("#permission-input-" + eid);
        var inputTotal = parseInt($input.attr("len"));
        // 当前选择的数量
        var selectLength = $(".check-permission" + eid + ":checked").length;
        if (inputTotal == selectLength) {
            $input.prop("checked", "true");
        } else {
            $input.prop("checked", "");
        }
        // 每一个三级菜单选择完成，联动二级菜单
        var es = $(".ermissions");
        for(var i = 0; i < es.length; i++) {
            var objElement = es[i];
            var pid = ($(objElement).attr("class")).replace("ermissions ermissions-", "");
            // 已经选择的二级菜单
            var selectSubMenuTotal = $(".ermissions-" + pid + ":checked").length;
            // 一级菜单总的二级菜单
            var total = parseInt($("#permission-" + pid).attr("len"));
            // 选中
            if (total == selectSubMenuTotal) {
                $("#permission-" + pid).prop("checked", "true");
            } else {
                $("#permission-" + pid).prop("checked", "");
            }
        }
    }

    /* 一级菜单权限改变事件 */
    function select_state(id, event, obj) {
        if (obj.checked) {
            // 全选所有
            $(".ermissions-" + id).prop("checked", "true");
        } else {
            // 取消全选所有
            $(".ermissions-" + id).removeAttr("checked");
        }
        // 停止事件冒泡
        event.stopPropagation();
    }

</script>
</html>