<!DOCTYPE HTML>
<html>
<head>
    <meta charset="utf-8">
    <meta name="renderer" content="webkit|ie-comp|ie-stand">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
    <meta http-equiv="Cache-Control" content="no-siteapp" />
    <#include "/base/add_base.ftl">
    <!-- 引入文本编辑器 -->
    <link rel="stylesheet" type="text/css" href="${path}/common/kingedit/themes/default/default.css" />
    <script type="text/javascript" src="${path}/common/kingedit/kindeditor.js"></script>
    <script type="text/javascript" src="${path}/common/kingedit/lang/zh_CN.js"></script>
    <title>添加管理员</title>
</head>
<body>
<div class="pd-20">
    <form action="/admin/sys/editAdmin" method="post" class="form form-horizontal" id="form-admin-add">

        <input type="hidden" name="adminId" value="${obj.adminId}">

        <input type="hidden" id="ruleId-hid" value="${obj.ruleId}">
        <input type="hidden" id="adminSex-hid" value="${obj.adminSex}">

        <div class="row cl">
            <label class="form-label col-xs-4 col-sm-3" style="padding-left: 0;margin-left: 0px;width: 17%;"><span class="c-red">*</span>所属角色：</label>
            <div class="formControls col-xs-8 col-sm-9" style="padding-top: 3px;">
                <span class="select-box">
                    <select class="select" id="ruleId" name="ruleId" datatype="*" nullmsg="请选择角色">
                        <option value="">请选择角色</option>
                        <#list rules as r>
                            <option value="${(r.ruleId)!}">${(r.ruleName)!}</option>
                        </#list>
                    </select>
                </span>
            </div>
            <div class="col-4"> </div>
        </div>

        <div class="row cl">
            <label class="form-label col-xs-4 col-sm-3" style="padding-left: 0;margin-left: 0px;width: 17%;"><span class="c-red">*</span>姓名：</label>
            <div class="formControls col-xs-8 col-sm-9" style="padding-top: 3px;">
                <input type="text" placeholder="姓名" value="${(obj.adminName)!}" name="adminName" id="adminName" class="input-text" datatype="*1-10" nullmsg="姓名不合法">
            </div>
            <div class="col-4"> </div>
        </div>

        <div class="row cl">
            <label class="form-label col-xs-4 col-sm-3" style="padding-left: 0;margin-left: 0px;width: 17%;"><span class="c-red">*</span>性别：</label>
            <div class="formControls col-xs-8 col-sm-9" style="padding-top: 3px;">
                <span class="select-box">
                    <select class="select" id="adminSex" name="adminSex" datatype="*" nullmsg="请选择性别">
                        <option value="1">男</option>
                        <option value="2">女</option>
                    </select>
                </span>
            </div>
            <div class="col-4"> </div>
        </div>

        <div class="row cl">
            <label class="form-label col-xs-4 col-sm-3" style="padding-left: 0;margin-left: 0px;width: 17%;"><span class="c-red">*</span>电话：</label>
            <div class="formControls col-xs-8 col-sm-9" style="padding-top: 3px;">
                <input type="text" placeholder="电话" value="${(obj.adminTel)!}" name="adminTel" id="adminTel" class="input-text" datatype="/^((0\d{2,3}-\d{7,8})|(1([358][0-9]|4[579]|66|7[0135678]|9[89])[0-9]{8}))$/" nullmsg="电话不合法">
            </div>
            <div class="col-4"> </div>
        </div>


        <div class="row cl">
            <label class="form-label col-xs-4 col-sm-3" style="padding-left: 0;margin-left: 0px;width: 17%;"><span class="c-red">*</span>邮箱：</label>
            <div class="formControls col-xs-8 col-sm-9" style="padding-top: 3px;">
                <input id="adminMail" value="${(obj.adminMail)!}" placeholder="邮箱" name="adminMail" type="text" datatype="e" class="input-text">
            </div>
            <div class="col-4"> </div>
        </div>

        <div class="row cl">
            <label class="form-label col-xs-4 col-sm-3" style="padding-left: 0;margin-left: 0px;width: 17%;"><span class="c-red">*</span>登陆账户：</label>
            <div class="formControls col-xs-8 col-sm-9" style="padding-top: 3px;">
                <input id="adminAccount" value="${(obj.adminAccount)!}" placeholder="登陆账户" name="adminAccount" type="text" datatype="/^[a-zA-z]\w{5,16}$/" class="input-text">
            </div>
            <div class="col-4"> </div>
        </div>

        <div class="row cl">
            <label class="form-label col-xs-4 col-sm-3" style="padding-left: 0;margin-left: 0px;width: 17%;"><span class="c-red"></span>登陆密码：</label>
            <div class="formControls col-xs-8 col-sm-9" style="padding-top: 3px;">
                <input id="adminPassword" ignore="ignore" placeholder="登陆密码" name="adminPassword" type="text" datatype="/^[a-zA-z]\w{5,16}$/" class="input-text">
            </div>
            <div class="col-4"> </div>
        </div>

        <div class="row cl">
            <div class="col-xs-8 col-sm-9 col-xs-offset-4 col-sm-offset-3">
                <input class="btn btn-primary radius" type="submit" value="&nbsp;&nbsp;提交&nbsp;&nbsp;">
            </div>
        </div>

    </form>
</div>
</body>
<script type="text/javascript">
    $(function () {
       $("#ruleId").val($("#ruleId-hid").val());
       $("#adminSex").val($("#adminSex-hid").val());
    });
</script>
</html>