<!DOCTYPE HTML>
<html>
<head>
    <meta charset="utf-8">
    <meta name="renderer" content="webkit|ie-comp|ie-stand">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
    <meta http-equiv="Cache-Control" content="no-siteapp" />
    <link rel="Bookmark" href="/favicon.ico" >
    <link rel="Shortcut Icon" href="/favicon.ico" />
    <#include "/base/list_base.ftl">
    <title>管理员列表</title>
</head>
<body>
<nav class="breadcrumb"><i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span> 系统管理 <span class="c-gray en">&gt;</span> 管理员列表 <a class="btn btn-success radius r" style="line-height:1.6em;margin-top:3px" href="javascript:location.replace(location.href);" title="刷新" ><i class="Hui-iconfont">&#xe68f;</i></a></nav>
<div class="page-container">
    <div class="cl pd-5 bg-1 bk-gray mt-20" style="margin-bottom: 10px;margin-top: 0px">
        <span class="l"><a href="javascript:;" onclick="layer_show('添加管理员','${path}/admin/sys/addAdminUI','800','500')" class="btn btn-primary radius"><i class="Hui-iconfont">&#xe600;</i> 添加管理员</a></span>
    </div>
     <table class="table table-border table-bordered table-hover">
        <thead>
        <tr class="text-c">
            <th width="100">登陆账号</th>
            <th width="50">姓名</th>
            <th width="50">角色</th>
            <th width="40">状态</th>
            <th width="40">性别</th>
            <th width="100">电话</th>
            <th width="120">邮箱</th>
            <th width="130">创建时间</th>
            <th width="100">操作</th>
        </tr>
        </thead>
        <tbody>
        <#if (page.dataList?size <= 0)> {
            <tr class="text-c"><td colspan="8">暂无数据</td></tr>
        <#else>
            <#list page.dataList as o>
            <tr class="text-c">
                <td>${o.adminAccount}</td>
                <td>${o.adminName}</td>
                <td>${(o.rule.ruleName)!}</td>
                <#assign isStatus=(o.adminStatus == 1)/>
                <#if isStatus>
                    <td class="td-status"><span class="label label-success radius">已启用</span></td>
                <#else>
                    <td class="td-status"><span class="label radius">已禁用</span></td>
                </#if>
                <#assign isAdminSex=(o.adminSex == 1)/>
                <td>${isAdminSex?string("男", "女")}</td>
                <td>${strUtil.phoneFormat(o.adminTel)}</td>
                <td>${o.adminMail}</td>
                <td>${o.adminCreateTime?string("yyyy-MM-dd HH:mm:ss")}</td>
                <td class="td-manage">
                    <#if isStatus>
                        <a style="text-decoration:none" onClick="admin_stop(this, ${o.adminId})" href="javascript:;" title="停用"><i class="Hui-iconfont">&#xe631;</i></a>
                    <#else>
                        <a style="text-decoration:none" onClick="admin_start(this, ${o.adminId})" href="javascript:;" title="启用"><i class="Hui-iconfont">&#xe615;</i></a>
                    </#if>
                    <a title="编辑管理员信息" href="javascript:layer_show('添加管理员','${path}/admin/sys/editAdminUI?adminId=${(o.adminId)}','800','500')" class="ml-5" style="text-decoration:none"><i class="Hui-iconfont">&#xe61d;</i></a>
                </td>
            </tr>
            </#list>
        </#if>
        </tbody>
    </table>
</div>
<#include "/base/page_util.ftl">
<script type="text/javascript" src="${path}/common/js/sys/list_admin.js"></script>
</body>
</html>